<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$fechas = DataForms::GET('id');
  if($fechas != 'ver'){
		$fec = explode(";",$fechas);
		$ini = $fec[0];
		$fin = $fec[1];
		$sucursal = $fec[2];
  }

$title = 'Reportes Ventas - Almacenes y Cajas';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:green;
color:white;
text-align:center;
text-transform:uppercase;}	
small{
	font-size:10px;
}
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<div class="row" style='width:97%'>
											<div class="col-sm-12" align='right'>
												<b>Listado de Sucursales:</b>
												<select id="cmbSucursales" class="btn btn-primary" style="text-align:left;">													
													<option value="" selected>Sucursales</option>
													<?php
													$sql = "SELECT * FROM inventarios_ubicaciones 
													WHERE ubica_estado ='1'
													ORDER BY ubica_nombre ASC;";	
													$db= new DB();
													$db->dbSQL($sql);
													$html='';													
													while($db->next()){						
														$ubica_codigo = $db->dbField('ubica_codigo');		
														$ubica_nombre = $db->dbField('ubica_nombre');	
														if($sucursal==$ubica_codigo)															
															$html.='<option value="'.$ubica_codigo.'" selected>'.$ubica_nombre.'</td>';						
														else
															$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</td>';			
																								
													}//wend() 
													echo $html;
													?>
												</select>
											
												<?php if($fechas == 'ver'){ ?>
													<b>Fecha Inicio: </b><input value='<?php echo date("Y-m").'-01'; ?>' type="date" id='txtFecha1' class="btn btn-primary">
													<b>Fecha Final: </b> <input value='<?php echo date("Y-m").'-30'; ?>' type="date" id='txtFecha2' class="btn btn-primary">									 
												<?php }else{ ?>
													<b>Fecha Inicio: </b><input value='<?php echo $ini; ?>' type="date" id='txtFecha1' class="btn btn-primary">
													<b>Fecha Final: </b> <input value='<?php echo $fin; ?>' type="date" id='txtFecha2' class="btn btn-primary">	
												<?php } ?>																																		
											</div>																																					
										</div>																					
										<?php
										if($fechas != 'ver'){
										$Ventas = new DB();
										$sqlVentas = "SELECT * FROM ventas_productos 
										WHERE clie_codigo <>'vacio'
										AND ven_fecha BETWEEN '".$ini." 00:00:00%' AND '".$fin." 23:59:59%' 
										AND ubica_codigo = '$sucursal'
										GROUP BY ven_codigo ORDER BY ven_fecha DESC;";
										$Ventas->dbSQL($sqlVentas);

										$html='';
										$i=0;
										while($Ventas->next()){					
										$i++;
											$ven_id = $Ventas->dbField('ven_id');
											$ven_codigo = $Ventas->dbField('ven_codigo');
											$clie_codigo = $Ventas->dbField('clie_codigo');
											$ven_numerolista = $Ventas->dbField('ven_numerolista');
											$prod_codigo = $Ventas->dbField('prod_codigo');
											$ubica_codigo = $Ventas->dbField('ubica_codigo');
											$us_id = $Ventas->dbField('us_id');
											$cajero_usid = $Ventas->dbField('cajero_usid');
											$ven_tipo = $Ventas->dbField('ven_tipo');
											$ven_cantidad = $Ventas->dbField('ven_cantidad');
											$ven_precio = $Ventas->dbField('ven_precio');
											$ven_fecha = $Ventas->dbField('ven_fecha');

											$html.=VentaProducto($ven_codigo,$ven_fecha);

										}										
										echo utf8_encode($html);
										}//end $fechas == ver
										?>																								
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
				
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	/*$('#add-row').DataTable({
		"pageLength": 25,
	});
	*/
});	
$('#txtFecha2').change(function(){
	let fecIni = $('#txtFecha1').val();
	let fecFin = $(this).val();
	let sucursal = $('#cmbSucursales').val();

	self.location="<?php echo PATH_HOME.'reportes-generales/';?>"+fecIni+';'+fecFin+';'+sucursal;
});
</script>
<?php 
function VentaCliente($clie_codigo,$descuento='NULL'){

	$Cliente = new DB();

	$sqlCliente = "SELECT * FROM inventarios_clientes
	WHERE clie_codigo = '$clie_codigo';";
	$Cliente->dbSQL($sqlCliente);	
	if($Cliente->next()){
		//clientes						
		$clie_codigo = $Cliente->dbField('clie_codigo');
		$clie_cinit = $Cliente->dbField('clie_cinit');
		$clie_nombres = $Cliente->dbField('clie_nombres');
		$clie_apellidos = $Cliente->dbField('clie_apellidos');
		$clie_destino = $Cliente->dbField('clie_destino');
		$clie_celular = $Cliente->dbField('clie_celular');
		$clie_tipopago = $Cliente->dbField('clie_tipopagonombre');
		$clie_descuento = $Cliente->dbField('clie_descuento');
		//$clie_personarecoge = $Cliente->dbField('clie_personarecoge');

		$cliente = $clie_nombres.' '.$clie_apellidos;
		$descuento = $clie_descuento;
		
	}else{
		$cliente = 's/n';
		$clie_descuento = 0;
	}
	
	if($descuento == 'NULL')
		return $cliente;
	else
		return $clie_descuento;
	
}
function ListaNumero($sql){
	$Productos = new DB();	
	$Productos->dbSQL($sql);
	$Productos->next();
											
	$lista= $Productos->dbField('ven_numerolista');	

	return $lista;
	
}
function VentaProducto($ven_codigo,$ven_fecha){
	$Productos = new DB();
	$sqlProductos = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, 
	ventas_productos ven
	WHERE prod.ubica_codigo = ubi.ubica_codigo
	AND ven.prod_codigo = prod.prod_codigo
	AND ven.ven_codigo = '$ven_codigo';";
	$Productos->dbSQL($sqlProductos);
	$CantRegistros = $Productos->dbNumRows();

	if($CantRegistros>0){
	$lista = ListaNumero($sqlProductos);
	
	$html = '';
	$html.= '<h3><b>N&uacute;mero Lista: &nbsp;</b>'.$lista.'</h3>';
	$html.= '<table id="add-row" class="display table table-striped table-hover" >
	<thead>
		<tr>				
			<th width="1%">N&ordm;</th>
			<th>descripci&oacute;n</th>
			<th>cliente</th>
			<th>cajas</th>
			<th>unidades</th>													
			<th>precio unitario</th>
			<th>sub total</th>
		</tr>
	</thead>											
	<tbody>';
$i=0;
$total=0;
$clie_codigo='';
	while($Productos->next()){												
		$i++;
		//clientes						
		$clie_codigo = $Productos->dbField('clie_codigo');
		$clie_descuento = $Productos->dbField('clie_descuento');
		//ubicaciones												
		$ubica_codigo = $Productos->dbField('ubica_codigo');
		$ubica_nombre = $Productos->dbField('ubica_nombre');
		$ubica_color = $Productos->dbField('ubica_color');
		//productos
		$prod_item = $Productos->dbField('prod_item');
		$prod_codigo = $Productos->dbField('prod_codigo');
		$prod_nombre = $Productos->dbField('prod_nombre');
		//$prod_foto = $Productos->dbField('prod_foto');
		$prod_piezascaja = $Productos->dbField('prod_piezascaja');
		//$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
		$prod_preciounitario = $Productos->dbField('prod_preciounitario');
		$prod_preciodocena = $Productos->dbField('prod_preciodocena');
		$prod_preciocajadocena  = $Productos->dbField('prod_preciocajadocena');				
		//ventas
		$ven_tipo = $Productos->dbField('ven_tipo');
		$ven_precio = $Productos->dbField('ven_precio');													
		$ven_cantidad = $Productos->dbField('ven_cantidad');
		$lista = $Productos->dbField('ven_numerolista');
		
		switch($ven_tipo){
			case '1' : $tipo = 'Unidad'; 
				$precio = $prod_preciounitario;
				$piezas = 1;
				$unicaja = 'unidades';
				$cantidades = $ven_cantidad*$piezas;
				$precios = number_format(($precio/$piezas),2);
			break;
			case '2' : $tipo = 'Docena'; 
				$precio = $prod_preciodocena;
				$piezas = $prod_piezascaja*12;
				$unicaja = 'unidades';														
				$cantidades = $ven_cantidad;
				$precios = number_format(($precio),2);
			break;
			case '3' : $tipo = 'Caja Docena'; 
				$precio = $prod_preciocajadocena;
				$piezas = $prod_piezascaja;
				$unicaja = 'cajas';
				$cantidades = $ven_cantidad*$piezas;
				$precios = number_format(($precio/$piezas),2);
			break;
			case '4' : $tipo = 'Docena'; 
				$precio = $prod_preciodocena;
				$piezas = $prod_piezascaja;
				$unicaja = 'unidades';														
				$cantidades = $ven_cantidad;
				$precios = number_format(($precio),2);
			break;
		}//switch

	$total = $total + $ven_precio;	

	$html.='<tr>';													
		$html.='<td align=center><h4>'.$i.'</h4></td>';												
		$html.='<td><b>'.$prod_nombre.'</b><br>
				<small><b>Item: </b>'.$prod_item.' <span style="background:'.$ubica_color.';padding:3px 7px;color:yellow;border-radius:7px;">'.$ubica_nombre.'</span></b></small><br>
				<small><b>Fecha: </b>'.$ven_fecha.'</small></td>';													
		$html.='<td>'.VentaCliente($clie_codigo).'</td>';													
		$html.='<td align=center>'.$ven_cantidad.' '.$unicaja.'</td>';
		$html.='<td align=center>'.($cantidades).'</td>';
		$html.='<td align=center>'.$precios.'</td>';
		$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
	$html.='</tr>';	

	}//wend
	$total22 = $total - ($clie_descuento * $total);
	$btnImprimir = '<a href="'.PATH_HOME.'ver-listaempaque/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&ven_numerolista='.$lista.'" target="_blank" class="btn btn-default">IMPRIMIR</a>';
	$btnFactura = '<a href="'.PATH_HOME.'factura/'.$ven_codigo.'&cod_cliente='.$clie_codigo.'&ven_numerolista='.$lista.'" target="_blank" class="btn btn-success">PRUEBA FACTURA</a>';
	$html.='<tr style="background:white;">				
	<td colspan=5>'.VentasEntregas($ven_codigo).'&nbsp;'.$btnImprimir.'&nbsp;'.$btnFactura.'</td>
	<td colspan=2 align=right><h3>Descuento: '.(VentaCliente($clie_codigo,'descuento')*100).'%<br>
	TOTAL: <b>Bs.'.number_format($total22,2).'</b></h3></td>
	</tr>';
	$html.='</tbody></table>';
	return $html;
	}
}
function VentasEntregas($ven_codigo){
	$Entregas = new DB();
	$sqlEntregas = "SELECT * FROM ventas_entregas
	WHERE ven_codigo = '$ven_codigo';";		
	$Entregas->dbSQL($sqlEntregas);
	$Entregas->next();
	$entre_estado = $Entregas->dbField('entre_estado');

	if($entre_estado == '1'){
		$EntregaEstado = '<span class="btn btn-default">ENTREGADO</span>';
	}else{
		$EntregaEstado = '<span class="btn btn-warning">PENDIENTE</span>';
	}

	return $EntregaEstado;
}
?>